## Additional information

CLickzin flutter android tracking sdk

## Packages used with version:

    android_play_install_referrer: ^0.2.1
    shared_preferences: ^2.0.13
    http: ^0.13.4

## Steps to integrate SDK

## Step 1: Add dependecy in pubspec.yaml

    clickzinfluttersdk: ^0.0.1

## Step 2: In main.dart, add imports

```dart
import 'package:clickzinfluttersdk/clickzinfluttersdk.dart';
```

## Step 3: In first widget , create instance of ClickzinTracker and in initState call startTracking with initialevent name.Most of the time initialevent will be install

```dart

var appKey = "As provided by your marketing partners.";
final ClickzinTracker _clickzinTracker = ClickzinTracker(appKey, true);

@override
void initState() {
  super.initState();
  _clickzinTracker.startTracking("initial event");
}
```

## Step 4: Track events in respective events widget as  with event name.Events like register, sale, login and so on

```dart
void onAnyeventSuccess() {
  _clickzinTracker.trackEvent("any specific event");
}
```


    